## haskell-ogma-core 1.7.0

=== templates/copilot-cfs/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6.4)
project(CFE_COPILOT_APP C)

include_directories(../../Modules/Core/Interfaces)
{{#included_libraries}}
include_directories({{{.}}})
{{/included_libraries}}
include_directories(../inc)
include_directories(fsw/mission_inc)
include_directories(fsw/platform_inc)

aux_source_directory(fsw/src APP_SRC_FILES)

# Create the app module
add_cfe_app(copilot_cfs ${APP_SRC_FILES})

add_custom_target(HASKELL_COPILOT COMMAND cabal v1-sandbox init COMMAND cabal update COMMAND cabal v1-install copilot COMMAND cabal v1-exec "--" ghc --make Properties.hs COMMAND ./Properties WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/fsw/src/ SOURCES ${CMAKE_CURRENT_SOURCE_DIR}/fsw/src/Properties.hs)
add_dependencies(copilot_cfs HASKELL_COPILOT)

=== debian/changelog ===
haskell-ogma-core (1.7.0-2) unstable; urgency=medium

  * Fix missing data files

 -- Scott Talbert <swt@techie.net>  Sun, 04 May 2025 21:57:50 -0400

haskell-ogma-core (1.7.0-1) unstable; urgency=medium

  * Initial release

 -- Scott Talbert <swt@techie.net>  Tue, 25 Mar 2025 23:02:26 -0400

=== debian/control ===
Source: haskell-ogma-core
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Scott Talbert <swt@techie.net>
Priority: optional
Section: non-free/haskell
Rules-Requires-Root: no
Build-Depends: debhelper (>= 10),
 haskell-devscripts-minimal | haskell-devscripts (>= 0.13),
 cdbs,
 ghc,
 ghc-prof,
 libbz2-dev,
 libexpat-dev,
 libghc-aeson-dev (>= 2.0.0.0),
 libghc-aeson-dev (<< 2.3),
 libghc-aeson-prof,
 libghc-graphviz-dev (>= 2999.20),
 libghc-graphviz-dev (<< 2999.21),
 libghc-graphviz-prof,
 libghc-hunit-dev (>= 1.2.0.0),
 libghc-hunit-dev (<< 1.7),
 libghc-hunit-prof,
 libghc-megaparsec-dev (>= 8.0.0),
 libghc-megaparsec-dev (<< 9.10),
 libghc-megaparsec-prof,
 libghc-ogma-extra-dev (>= 1.7.0),
 libghc-ogma-extra-dev (<< 1.8),
 libghc-ogma-extra-prof,
 libghc-ogma-language-c-dev (>= 1.7.0),
 libghc-ogma-language-c-dev (<< 1.8),
 libghc-ogma-language-c-prof,
 libghc-ogma-language-copilot-dev (>= 1.7.0),
 libghc-ogma-language-copilot-dev (<< 1.8),
 libghc-ogma-language-copilot-prof,
 libghc-ogma-language-csv-dev (>= 1.7.0),
 libghc-ogma-language-csv-dev (<< 1.8),
 libghc-ogma-language-csv-prof,
 libghc-ogma-language-jsonspec-dev (>= 1.7.0),
 libghc-ogma-language-jsonspec-dev (<< 1.8),
 libghc-ogma-language-jsonspec-prof,
 libghc-ogma-language-lustre-dev (>= 1.7.0),
 libghc-ogma-language-lustre-dev (<< 1.8),
 libghc-ogma-language-lustre-prof,
 libghc-ogma-language-smv-dev (>= 1.7.0),
 libghc-ogma-language-smv-dev (<< 1.8),
 libghc-ogma-language-smv-prof,
 libghc-ogma-language-xlsx-dev (>= 1.7.0),
 libghc-ogma-language-xlsx-dev (<< 1.8),
 libghc-ogma-language-xlsx-prof,
 libghc-ogma-language-xmlspec-dev (>= 1.7.0),
 libghc-ogma-language-xmlspec-dev (<< 1.8),
 libghc-ogma-language-xmlspec-prof,
 libghc-ogma-spec-dev (>= 1.7.0),
 libghc-ogma-spec-dev (<< 1.8),
 libghc-ogma-spec-prof,
 libghc-quickcheck2-dev (>= 2.8.2),
 libghc-quickcheck2-dev (<< 2.16),
 libghc-quickcheck2-prof,
 libghc-test-framework-dev (>= 0.8.2),
 libghc-test-framework-dev (<< 0.9),
 libghc-test-framework-prof,
 libghc-test-framework-hunit-dev (>= 0.2.0),
 libghc-test-framework-hunit-dev (<< 0.4),
 libghc-test-framework-hunit-prof,
 libghc-test-framework-quickcheck2-dev (>= 0.3.0.4),
 libghc-test-framework-quickcheck2-dev (<< 0.4),
 libghc-test-framework-quickcheck2-prof,
 libzstd-dev,
Build-Depends-Indep: ghc-doc,
 libghc-aeson-doc,
 libghc-graphviz-doc,
 libghc-megaparsec-doc,
 libghc-ogma-extra-doc,
 libghc-ogma-language-c-doc,
 libghc-ogma-language-copilot-doc,
 libghc-ogma-language-csv-doc,
 libghc-ogma-language-jsonspec-doc,
 libghc-ogma-language-lustre-doc,
 libghc-ogma-language-smv-doc,
 libghc-ogma-language-xlsx-doc,
 libghc-ogma-language-xmlspec-doc,
 libghc-ogma-spec-doc,
Standards-Version: 4.7.0
Homepage: https://github.com/nasa/ogma
Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-ogma-core
Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-ogma-core]
X-Description: Helper tool to interoperate between Copilot and other languages
 Ogma is a tool to facilitate the integration of safe runtime monitors into
 other systems. Ogma extends
 <https://github.com/Copilot-Language/copilot Copilot>, a high-level runtime
 verification framework that generates hard real-time C99 code.
 .
 This package implements the internal commands of ogma.

Package: libghc-ogma-core-dev
Architecture: any
Depends: ${haskell:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Conflicts: ${haskell:Conflicts},
Provides: ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-ogma-core-prof
Architecture: any
Depends: ${haskell:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Conflicts: ${haskell:Conflicts},
Provides: ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-ogma-core-doc
Architecture: all
Section: non-free/doc
Depends: ${haskell:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Conflicts: ${haskell:Conflicts},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: haskell-ogma-core-utils
Architecture: all
Depends: ${haskell:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Conflicts: ${haskell:Conflicts},
Provides: ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

## haskell-ogma-core 1.9.0

=== debian/changelog ===
haskell-ogma-core (1.9.0-1) unstable; urgency=medium

  * New upstream release

 -- Scott Talbert <swt@techie.net>  Tue, 12 Aug 2025 12:09:30 -0400

=== debian/control ===
--- 
+++ 
@@ -23,35 +23,35 @@
  libghc-megaparsec-dev (>= 8.0.0),
  libghc-megaparsec-dev (<< 9.10),
  libghc-megaparsec-prof,
- libghc-ogma-extra-dev (>= 1.7.0),
- libghc-ogma-extra-dev (<< 1.8),
+ libghc-ogma-extra-dev (>= 1.9.0),
+ libghc-ogma-extra-dev (<< 1.10),
  libghc-ogma-extra-prof,
- libghc-ogma-language-c-dev (>= 1.7.0),
- libghc-ogma-language-c-dev (<< 1.8),
+ libghc-ogma-language-c-dev (>= 1.9.0),
+ libghc-ogma-language-c-dev (<< 1.10),
  libghc-ogma-language-c-prof,
- libghc-ogma-language-copilot-dev (>= 1.7.0),
- libghc-ogma-language-copilot-dev (<< 1.8),
+ libghc-ogma-language-copilot-dev (>= 1.9.0),
+ libghc-ogma-language-copilot-dev (<< 1.10),
  libghc-ogma-language-copilot-prof,
- libghc-ogma-language-csv-dev (>= 1.7.0),
- libghc-ogma-language-csv-dev (<< 1.8),
+ libghc-ogma-language-csv-dev (>= 1.9.0),
+ libghc-ogma-language-csv-dev (<< 1.10),
  libghc-ogma-language-csv-prof,
- libghc-ogma-language-jsonspec-dev (>= 1.7.0),
- libghc-ogma-language-jsonspec-dev (<< 1.8),
+ libghc-ogma-language-jsonspec-dev (>= 1.9.0),
+ libghc-ogma-language-jsonspec-dev (<< 1.10),
  libghc-ogma-language-jsonspec-prof,
- libghc-ogma-language-lustre-dev (>= 1.7.0),
- libghc-ogma-language-lustre-dev (<< 1.8),
+ libghc-ogma-language-lustre-dev (>= 1.9.0),
+ libghc-ogma-language-lustre-dev (<< 1.10),
  libghc-ogma-language-lustre-prof,
- libghc-ogma-language-smv-dev (>= 1.7.0),
- libghc-ogma-language-smv-dev (<< 1.8),
+ libghc-ogma-language-smv-dev (>= 1.9.0),
+ libghc-ogma-language-smv-dev (<< 1.10),
  libghc-ogma-language-smv-prof,
- libghc-ogma-language-xlsx-dev (>= 1.7.0),
- libghc-ogma-language-xlsx-dev (<< 1.8),
+ libghc-ogma-language-xlsx-dev (>= 1.9.0),
+ libghc-ogma-language-xlsx-dev (<< 1.10),
  libghc-ogma-language-xlsx-prof,
- libghc-ogma-language-xmlspec-dev (>= 1.7.0),
- libghc-ogma-language-xmlspec-dev (<< 1.8),
+ libghc-ogma-language-xmlspec-dev (>= 1.9.0),
+ libghc-ogma-language-xmlspec-dev (<< 1.10),
  libghc-ogma-language-xmlspec-prof,
- libghc-ogma-spec-dev (>= 1.7.0),
- libghc-ogma-spec-dev (<< 1.8),
+ libghc-ogma-spec-dev (>= 1.9.0),
+ libghc-ogma-spec-dev (<< 1.10),
  libghc-ogma-spec-prof,
  libghc-quickcheck2-dev (>= 2.8.2),
  libghc-quickcheck2-dev (<< 2.16),

## haskell-ogma-core 1.10.0

=== templates/copilot-cfs/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6.4)
project(CFE_COPILOT_APP C)

include_directories(../../Modules/Core/Interfaces)
{{#included_libraries}}
include_directories({{{.}}})
{{/included_libraries}}
include_directories(../inc)
include_directories(fsw/mission_inc)
include_directories(fsw/platform_inc)

aux_source_directory(fsw/src APP_SRC_FILES)

# Create the app module
add_cfe_app(copilot_cfs
  ${APP_SRC_FILES}
  ${CMAKE_CURRENT_SOURCE_DIR}/fsw/src/copilot.c
  ${CMAKE_CURRENT_SOURCE_DIR}/fsw/src/copilot.h
  ${CMAKE_CURRENT_SOURCE_DIR}/fsw/src/copilot_types.h
)

add_custom_command(
    OUTPUT ${CMAKE_CURRENT_SOURCE_DIR}/fsw/src/cabal.sandbox.config
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/fsw/src/
    COMMAND cabal v1-sandbox init
    COMMAND cabal update
    COMMAND cabal v1-install copilot
    COMMENT "Installing Copilot"
)

add_custom_command(
   DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/fsw/src/cabal.sandbox.config
   DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/fsw/src/Properties.hs
   OUTPUT ${CMAKE_CURRENT_SOURCE_DIR}/fsw/src/copilot.c
          ${CMAKE_CURRENT_SOURCE_DIR}/fsw/src/copilot.h
          ${CMAKE_CURRENT_SOURCE_DIR}/fsw/src/copilot_types.h
   WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/fsw/src/
   COMMAND cabal v1-exec "--" runhaskell Properties.hs
   COMMENT "Compiling Copilot code"
)

add_custom_target(HASKELL_COPILOT
   DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/fsw/src/copilot.c
           ${CMAKE_CURRENT_SOURCE_DIR}/fsw/src/copilot.h
           ${CMAKE_CURRENT_SOURCE_DIR}/fsw/src/copilot_types.h
   SOURCES ${CMAKE_CURRENT_SOURCE_DIR}/fsw/src/Properties.hs
)
add_dependencies(copilot_cfs HASKELL_COPILOT)

=== templates/fprime/CMakeLists.txt ===
# Register the standard build
set(SOURCE_FILES
  "${CMAKE_CURRENT_LIST_DIR}/copilot.c"
  "${CMAKE_CURRENT_LIST_DIR}/copilot.h"
  "${CMAKE_CURRENT_LIST_DIR}/copilot_types.h"
  "${CMAKE_CURRENT_LIST_DIR}/Copilot.cpp"
  "${CMAKE_CURRENT_LIST_DIR}/Copilot.fpp"
)
register_fprime_module()

=== templates/ros/copilot/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.8)
project(copilot)

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

# find dependencies
find_package(ament_cmake REQUIRED)
find_package(rclcpp REQUIRED)
find_package(std_msgs REQUIRED)

add_executable(copilot src/copilot_monitor.cpp)
ament_target_dependencies(copilot rclcpp std_msgs)

# Uncomment to enable compiling the copilot logger
# add_executable(copilot_logger src/copilot_logger.cpp)
# ament_target_dependencies(copilot_logger rclcpp std_msgs)

install(TARGETS
  copilot
  DESTINATION lib/${PROJECT_NAME})

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

ament_package()

=== templates/ros/test_requirements/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.8)
project(test_requirements)

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

# find dependencies
find_package(ament_cmake REQUIRED)
find_package(rclcpp REQUIRED)
find_package(std_msgs REQUIRED)

# Uncomment to enable compiling the requirement tests
add_executable(test_requirements src/test_requirements.cpp)
ament_target_dependencies(test_requirements rclcpp std_msgs)

install(TARGETS
  test_requirements
  DESTINATION lib/${PROJECT_NAME})

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

ament_package()

=== templates/copilot-cfs/fsw/for_build/Makefile ===
###############################################################################
# File: CFS Application Makefile
#
# $Id: Makefile 1.8 2009/07/09 12:25:54EDT rmcgraw Exp  $
#
# $Log: Makefile  $
# Revision 1.8 2009/07/09 12:25:54EDT rmcgraw
# DCR8291:1 Changed CFE_MISSION_INC to CFS_MISSION_INC and added log
#
###############################################################################
#
# Subsystem produced by this makefile.
#
APPTARGET = copilot_cfs

#
# Entry Point for task
#
ENTRY_PT = COPILOT_CFSMain

#
# Object files required to build subsystem.
#
OBJS = copilot_cfs.o

#
# Source files required to build subsystem; used to generate dependencies.
# As long as there are no assembly files this can be automated.
#
SOURCES = $(OBJS:.o=.c)


##
## Specify extra C Flags needed to build this subsystem
##
LOCAL_COPTS =


##
## EXEDIR is defined here, just in case it needs to be different for a custom
## build
##
EXEDIR=../exe

##
## Certain OSs and Application Loaders require the following option for
## Shared libraries. Currently only needed for vxWorks 5.5 and RTEMS.
## For each shared library that this app depends on, you need to have an
## entry like the following:
##  -R../tst_lib/tst_lib.elf
##
SHARED_LIB_LINK =

########################################################################
# Should not have to change below this line, except for customized
# Mission and cFE directory structures
########################################################################

#
# Set build type to CFE_APP. This allows us to
# define different compiler flags for the cFE Core and Apps.
#
BUILD_TYPE = CFE_APP

##
## Include all necessary cFE make rules
## Any of these can be copied to a local file and
## changed if needed.
##
##
##       cfe-config.mak contains PSP and OS selection
##
include ../cfe/cfe-config.mak
##
##       debug-opts.mak contains debug switches
##
include ../cfe/debug-opts.mak
##
##       compiler-opts.mak contains compiler definitions and switches/defines
##
include $(CFE_PSP_SRC)/$(PSP)/make/compiler-opts.mak

##
## Setup the include path for this subsystem
## The OS specific includes are in the build-rules.make file
##
## If this subsystem needs include files from another app, add the path here.
##
INCLUDE_PATH = \
-I$(OSAL_SRC)/inc \
-I$(CFE_CORE_SRC)/inc \
-I$(CFE_PSP_SRC)/inc \
-I$(CFE_PSP_SRC)/$(PSP)/inc \
-I$(CFS_APP_SRC)/inc \
-I$(CFS_APP_SRC)/$(APPTARGET)/fsw/src \
-I$(CFS_MISSION_INC) \
-I../cfe/inc \
-I../inc

##
## Define the VPATH make variable.
## This can be modified to include source from another directory.
## If there is no corresponding app in the cfs-apps directory, then this can be discarded, or
## if the mission chooses to put the src in another directory such as "src", then that can be
## added here as well.
##
VPATH = $(CFS_APP_SRC)/$(APPTARGET)/fsw/src

##
## Include the common make rules for building a cFE Application
##
include $(CFE_CORE_SRC)/make/app-rules.mak

=== debian/changelog ===
haskell-ogma-core (1.10.0-1) unstable; urgency=medium

  * New upstream release

 -- Scott Talbert <swt@techie.net>  Mon, 22 Sep 2025 23:46:50 -0400

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders: Scott Talbert <swt@techie.net>
 Priority: optional
-Section: non-free/haskell
+Section: haskell
 Rules-Requires-Root: no
 Build-Depends: debhelper (>= 10),
  haskell-devscripts-minimal | haskell-devscripts (>= 0.13),
@@ -23,35 +23,35 @@
  libghc-megaparsec-dev (>= 8.0.0),
  libghc-megaparsec-dev (<< 9.10),
  libghc-megaparsec-prof,
- libghc-ogma-extra-dev (>= 1.9.0),
- libghc-ogma-extra-dev (<< 1.10),
+ libghc-ogma-extra-dev (>= 1.10.0),
+ libghc-ogma-extra-dev (<< 1.11),
  libghc-ogma-extra-prof,
- libghc-ogma-language-c-dev (>= 1.9.0),
- libghc-ogma-language-c-dev (<< 1.10),
+ libghc-ogma-language-c-dev (>= 1.10.0),
+ libghc-ogma-language-c-dev (<< 1.11),
  libghc-ogma-language-c-prof,
- libghc-ogma-language-copilot-dev (>= 1.9.0),
- libghc-ogma-language-copilot-dev (<< 1.10),
+ libghc-ogma-language-copilot-dev (>= 1.10.0),
+ libghc-ogma-language-copilot-dev (<< 1.11),
  libghc-ogma-language-copilot-prof,
- libghc-ogma-language-csv-dev (>= 1.9.0),
- libghc-ogma-language-csv-dev (<< 1.10),
+ libghc-ogma-language-csv-dev (>= 1.10.0),
+ libghc-ogma-language-csv-dev (<< 1.11),
  libghc-ogma-language-csv-prof,
- libghc-ogma-language-jsonspec-dev (>= 1.9.0),
- libghc-ogma-language-jsonspec-dev (<< 1.10),
+ libghc-ogma-language-jsonspec-dev (>= 1.10.0),
+ libghc-ogma-language-jsonspec-dev (<< 1.11),
  libghc-ogma-language-jsonspec-prof,
- libghc-ogma-language-lustre-dev (>= 1.9.0),
- libghc-ogma-language-lustre-dev (<< 1.10),
+ libghc-ogma-language-lustre-dev (>= 1.10.0),
+ libghc-ogma-language-lustre-dev (<< 1.11),
  libghc-ogma-language-lustre-prof,
- libghc-ogma-language-smv-dev (>= 1.9.0),
- libghc-ogma-language-smv-dev (<< 1.10),
+ libghc-ogma-language-smv-dev (>= 1.10.0),
+ libghc-ogma-language-smv-dev (<< 1.11),
  libghc-ogma-language-smv-prof,
- libghc-ogma-language-xlsx-dev (>= 1.9.0),
- libghc-ogma-language-xlsx-dev (<< 1.10),
+ libghc-ogma-language-xlsx-dev (>= 1.10.0),
+ libghc-ogma-language-xlsx-dev (<< 1.11),
  libghc-ogma-language-xlsx-prof,
- libghc-ogma-language-xmlspec-dev (>= 1.9.0),
- libghc-ogma-language-xmlspec-dev (<< 1.10),
+ libghc-ogma-language-xmlspec-dev (>= 1.10.0),
+ libghc-ogma-language-xmlspec-dev (<< 1.11),
  libghc-ogma-language-xmlspec-prof,
- libghc-ogma-spec-dev (>= 1.9.0),
- libghc-ogma-spec-dev (<< 1.10),
+ libghc-ogma-spec-dev (>= 1.10.0),
+ libghc-ogma-spec-dev (<< 1.11),
  libghc-ogma-spec-prof,
  libghc-quickcheck2-dev (>= 2.8.2),
  libghc-quickcheck2-dev (<< 2.16),
@@ -121,7 +121,7 @@
 
 Package: libghc-ogma-core-doc
 Architecture: all
-Section: non-free/doc
+Section: doc
 Depends: ${haskell:Depends},
  ${misc:Depends},
 Recommends: ${haskell:Recommends},

=== debian/rules ===
#!/usr/bin/make -f

DEB_SETUP_BIN_NAME = debian/hlibrary.setup
DEB_CABAL_PACKAGE = ogma-core
DEB_DEFAULT_COMPILER = ghc
DEB_ENABLE_TESTS = yes

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/hlibrary.mk

build/haskell-ogma-core-utils:: build-ghc-stamp

=== debian/watch ===
version=4
https://hackage.haskell.org/package/ogma-core/distro-monitor .*-([0-9\.]+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## haskell-ogma-core 1.11.0

=== debian/changelog ===
haskell-ogma-core (1.11.0-2) unstable; urgency=medium

  * Sourceful upload for GHC 9.10

 -- Scott Talbert <swt@techie.net>  Fri, 13 Feb 2026 19:38:29 -0500

haskell-ogma-core (1.11.0-1) unstable; urgency=medium

  * Build using dh-haskell
  * New upstream release

 -- Scott Talbert <swt@techie.net>  Wed, 17 Dec 2025 19:16:40 -0500

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Priority: optional
 Section: haskell
 Rules-Requires-Root: no
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper-compat (= 13),
  haskell-devscripts-minimal | haskell-devscripts (>= 0.13),
- cdbs,
- ghc,
+ dh-sequence-haskell,
+ ghc (>= 9.10),
  ghc-prof,
  libbz2-dev,
  libexpat-dev,
@@ -23,35 +23,35 @@
  libghc-megaparsec-dev (>= 8.0.0),
  libghc-megaparsec-dev (<< 9.10),
  libghc-megaparsec-prof,
- libghc-ogma-extra-dev (>= 1.10.0),
- libghc-ogma-extra-dev (<< 1.11),
+ libghc-ogma-extra-dev (>= 1.11.0),
+ libghc-ogma-extra-dev (<< 1.12),
  libghc-ogma-extra-prof,
- libghc-ogma-language-c-dev (>= 1.10.0),
- libghc-ogma-language-c-dev (<< 1.11),
+ libghc-ogma-language-c-dev (>= 1.11.0),
+ libghc-ogma-language-c-dev (<< 1.12),
  libghc-ogma-language-c-prof,
- libghc-ogma-language-copilot-dev (>= 1.10.0),
- libghc-ogma-language-copilot-dev (<< 1.11),
+ libghc-ogma-language-copilot-dev (>= 1.11.0),
+ libghc-ogma-language-copilot-dev (<< 1.12),
  libghc-ogma-language-copilot-prof,
- libghc-ogma-language-csv-dev (>= 1.10.0),
- libghc-ogma-language-csv-dev (<< 1.11),
+ libghc-ogma-language-csv-dev (>= 1.11.0),
+ libghc-ogma-language-csv-dev (<< 1.12),
  libghc-ogma-language-csv-prof,
- libghc-ogma-language-jsonspec-dev (>= 1.10.0),
- libghc-ogma-language-jsonspec-dev (<< 1.11),
+ libghc-ogma-language-jsonspec-dev (>= 1.11.0),
+ libghc-ogma-language-jsonspec-dev (<< 1.12),
  libghc-ogma-language-jsonspec-prof,
- libghc-ogma-language-lustre-dev (>= 1.10.0),
- libghc-ogma-language-lustre-dev (<< 1.11),
+ libghc-ogma-language-lustre-dev (>= 1.11.0),
+ libghc-ogma-language-lustre-dev (<< 1.12),
  libghc-ogma-language-lustre-prof,
- libghc-ogma-language-smv-dev (>= 1.10.0),
- libghc-ogma-language-smv-dev (<< 1.11),
+ libghc-ogma-language-smv-dev (>= 1.11.0),
+ libghc-ogma-language-smv-dev (<< 1.12),
  libghc-ogma-language-smv-prof,
- libghc-ogma-language-xlsx-dev (>= 1.10.0),
- libghc-ogma-language-xlsx-dev (<< 1.11),
+ libghc-ogma-language-xlsx-dev (>= 1.11.0),
+ libghc-ogma-language-xlsx-dev (<< 1.12),
  libghc-ogma-language-xlsx-prof,
- libghc-ogma-language-xmlspec-dev (>= 1.10.0),
- libghc-ogma-language-xmlspec-dev (<< 1.11),
+ libghc-ogma-language-xmlspec-dev (>= 1.11.0),
+ libghc-ogma-language-xmlspec-dev (<< 1.12),
  libghc-ogma-language-xmlspec-prof,
- libghc-ogma-spec-dev (>= 1.10.0),
- libghc-ogma-spec-dev (<< 1.11),
+ libghc-ogma-spec-dev (>= 1.11.0),
+ libghc-ogma-spec-dev (<< 1.12),
  libghc-ogma-spec-prof,
  libghc-quickcheck2-dev (>= 2.8.2),
  libghc-quickcheck2-dev (<< 2.16),
@@ -80,7 +80,7 @@
  libghc-ogma-language-xlsx-doc,
  libghc-ogma-language-xmlspec-doc,
  libghc-ogma-spec-doc,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Homepage: https://github.com/nasa/ogma
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-ogma-core
 Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-ogma-core]

## haskell-ogma-core 1.12.0

=== debian/changelog ===
haskell-ogma-core (1.12.0-1) unstable; urgency=medium

  * New upstream release

 -- Scott Talbert <swt@techie.net>  Thu, 26 Feb 2026 22:22:20 -0500

=== debian/control ===
--- 
+++ 
@@ -23,35 +23,35 @@
  libghc-megaparsec-dev (>= 8.0.0),
  libghc-megaparsec-dev (<< 9.10),
  libghc-megaparsec-prof,
- libghc-ogma-extra-dev (>= 1.11.0),
- libghc-ogma-extra-dev (<< 1.12),
+ libghc-ogma-extra-dev (>= 1.12.0),
+ libghc-ogma-extra-dev (<< 1.13),
  libghc-ogma-extra-prof,
- libghc-ogma-language-c-dev (>= 1.11.0),
- libghc-ogma-language-c-dev (<< 1.12),
+ libghc-ogma-language-c-dev (>= 1.12.0),
+ libghc-ogma-language-c-dev (<< 1.13),
  libghc-ogma-language-c-prof,
- libghc-ogma-language-copilot-dev (>= 1.11.0),
- libghc-ogma-language-copilot-dev (<< 1.12),
+ libghc-ogma-language-copilot-dev (>= 1.12.0),
+ libghc-ogma-language-copilot-dev (<< 1.13),
  libghc-ogma-language-copilot-prof,
- libghc-ogma-language-csv-dev (>= 1.11.0),
- libghc-ogma-language-csv-dev (<< 1.12),
+ libghc-ogma-language-csv-dev (>= 1.12.0),
+ libghc-ogma-language-csv-dev (<< 1.13),
  libghc-ogma-language-csv-prof,
- libghc-ogma-language-jsonspec-dev (>= 1.11.0),
- libghc-ogma-language-jsonspec-dev (<< 1.12),
+ libghc-ogma-language-jsonspec-dev (>= 1.12.0),
+ libghc-ogma-language-jsonspec-dev (<< 1.13),
  libghc-ogma-language-jsonspec-prof,
- libghc-ogma-language-lustre-dev (>= 1.11.0),
- libghc-ogma-language-lustre-dev (<< 1.12),
+ libghc-ogma-language-lustre-dev (>= 1.12.0),
+ libghc-ogma-language-lustre-dev (<< 1.13),
  libghc-ogma-language-lustre-prof,
- libghc-ogma-language-smv-dev (>= 1.11.0),
- libghc-ogma-language-smv-dev (<< 1.12),
+ libghc-ogma-language-smv-dev (>= 1.12.0),
+ libghc-ogma-language-smv-dev (<< 1.13),
  libghc-ogma-language-smv-prof,
- libghc-ogma-language-xlsx-dev (>= 1.11.0),
- libghc-ogma-language-xlsx-dev (<< 1.12),
+ libghc-ogma-language-xlsx-dev (>= 1.12.0),
+ libghc-ogma-language-xlsx-dev (<< 1.13),
  libghc-ogma-language-xlsx-prof,
- libghc-ogma-language-xmlspec-dev (>= 1.11.0),
- libghc-ogma-language-xmlspec-dev (<< 1.12),
+ libghc-ogma-language-xmlspec-dev (>= 1.12.0),
+ libghc-ogma-language-xmlspec-dev (<< 1.13),
  libghc-ogma-language-xmlspec-prof,
- libghc-ogma-spec-dev (>= 1.11.0),
- libghc-ogma-spec-dev (<< 1.12),
+ libghc-ogma-spec-dev (>= 1.12.0),
+ libghc-ogma-spec-dev (<< 1.13),
  libghc-ogma-spec-prof,
  libghc-quickcheck2-dev (>= 2.8.2),
  libghc-quickcheck2-dev (<< 2.16),
